Server monitorları
GET https://uptimeset.com/api/server-monitors/
curl --request GET \
--url 'https://uptimeset.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Sətir | Axtarış stringi. |
| search_by | İstəyə bağlı Sətir | Hansı sahə üzrə axtarış edirsiniz. İcazə verilən dəyərlər: name, target. |
| is_enabled | İstəyə bağlı Boolean | |
| datetime_field | İstəyə bağlı Sətir | İcazə verilən dəyərlər: datetime, last_datetime, last_log_datetime |
| datetime_start | İstəyə bağlı Sətir | Nəticələri bu tarix və saatdan başlayaraq süzün. Y-m-d H:i:s formatında. |
| datetime_end | İstəyə bağlı Sətir | Nəticələri bu tarix-vaxtadək süzün. Y-m-d H:i:s formatı. |
| order_by | İstəyə bağlı Sətir | What field to order the results by. Allowed values are: server_monitor_id, datetime, last_datetime, last_log_datetime, total_logs, cpu_usage, ram_usage, disk_usage, uptime, name. |
| order_type | İstəyə bağlı Sətir | N |
| page | İstəyə bağlı Tam | Nəticələri istədiyiniz səhifə nömrəsi. Varsayılan 1 olaraq təyin edilir. |
| results_per_page | İstəyə bağlı Tam | Səhifə başına neçə nəticə istəyirsiniz. İcazə verilən dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Varsayılan 25 olaraq təyin edilir. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-10-16 11:40:25",
"last_datetime": null
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://uptimeset.com/api/server-monitors?page=1",
"last": "https://uptimeset.com/api/server-monitors?page=1",
"next": null,
"prev": null,
"self": "https://uptimeset.com/api/server-monitors?page=1"
}
}
GET https://uptimeset.com/api/server-monitors/{server_monitor_id}
curl --request GET \
--url 'https://uptimeset.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-10-16 11:40:25",
"last_datetime": null
}
}
POST https://uptimeset.com/api/server-monitors
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | Tələb olunur Sətir | - |
| target | Tələb olunur Sətir | - |
| project_id | İstəyə bağlı Tam | - |
| notifications | İstəyə bağlı Array | Bildiriş idarəedicisi id-ləri |
| server_check_interval_seconds | İstəyə bağlı Tam | İcazə verilən dəyərlər: 60, 300, 600, 900, 1800 (saniyə) |
| alert_metric[key] | İstəyə bağlı Sətir | İcazə verilən dəyərlər: cpu_usage, disk_usage, ram_usage |
| alert_rule[key] | İstəyə bağlı Sətir | İcazə verilən dəyərlər: is_higher, is_lower |
| alert_value[key] | İstəyə bağlı Sətir | İcazə verilən dəyərlər: 1-99 |
| alert_trigger[key] | İstəyə bağlı Sətir | İcazə verilən dəyərlər: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 |
| is_enabled | İstəyə bağlı Boolean | - |
curl --request POST \
--url 'https://uptimeset.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptimeset.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": "Example",
"network_download": "Example",
"network_total_upload": "Example",
"network_upload": "Example",
"os_name": null,
"os_version": null,
"kernel_name": null,
"kernel_version": null,
"kernel_release": null,
"cpu_architecture": null,
"cpu_model": null,
"cpu_cores": "Example",
"cpu_frequency": "Example",
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-10-16 11:40:25",
"last_datetime": null
}
}
POST https://uptimeset.com/api/server-monitors/{server_monitor_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | Tələb olunur Sətir | - |
| target | Tələb olunur Sətir | - |
| project_id | İstəyə bağlı Tam | - |
| notifications | İstəyə bağlı Array | Bildiriş idarəedicisi id-ləri |
| server_check_interval_seconds | İstəyə bağlı Tam | İcazə verilən dəyərlər: 60, 300, 600, 900, 1800 (saniyə) |
| alert_metric[key] | İstəyə bağlı Sətir | İcazə verilən dəyərlər: cpu_usage, disk_usage, ram_usage |
| alert_rule[key] | İstəyə bağlı Sətir | İcazə verilən dəyərlər: is_higher, is_lower |
| alert_value[key] | İstəyə bağlı Sətir | İcazə verilən dəyərlər: 1-99 |
| alert_trigger[key] | İstəyə bağlı Sətir | İcazə verilən dəyərlər: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 |
| is_enabled | İstəyə bağlı Boolean | - |
curl --request POST \
--url 'https://uptimeset.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptimeset.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-10-16 11:40:25",
"last_datetime": null
}
}
DELETE https://uptimeset.com/api/server-monitors/{server_monitor_id}
curl --request DELETE \
--url 'https://uptimeset.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \